component: Get the pending tasks, in-progress tasks and the last executed task of a given component (usually a

API: sonarcloud.io:sonarqube
Endpoint: /api/ce/component
Response format: application/json
Auth: unknown
Method: GET
Last Status: 400
Latency: 132ms

Description

Get the pending tasks, in-progress tasks and the last executed task of a given component (usually a project). Requires the following permission: 'Browse' on the specified component. Either 'componentId' or 'component' must be provided.

Parameters (2)

component (string, query, optional)
componentId (string, query, optional)

Examples (1)

Get the pending tasks, in-progress tasks and the last executed task of a given component (usually a openapi-spec
curl 'https://sonarcloud.io/api/ce/component?component=my_project&componentId=AU-Tpxb--iU5OvuD2FLy'
import requests

resp = requests.get(
    "https://sonarcloud.io/api/ce/component",
    params={
        'component': 'my_project',
        'componentId': 'AU-Tpxb--iU5OvuD2FLy',
    },
)
data = resp.json()
import zingu_apis

api = zingu_apis.api("sonarqube")
result = api.fetch("api/ce/component", component="my_project", componentId="AU-Tpxb--iU5OvuD2FLy")

for item in result:
    print(item)
const resp = await fetch("https://sonarcloud.io/api/ce/component?component=my_project&componentId=AU-Tpxb--iU5OvuD2FLy");
const data = await resp.json();

Probe History

Latency

Status Codes

TimeStatusLatencySize
2026-04-16 01:33:53.542488 400 132ms
2026-04-15 02:11:02.127293 400 140ms
2026-04-14 00:35:51.569714 400 178ms
2026-04-12 15:23:47.552846 400 130ms
2026-04-10 02:23:49.069214 400 273ms
2026-04-09 01:30:07.528768 400 185ms